DOS2UNIX(1)

NAME
dos2unix - convert text file from DOS format to ISO format

SYNOPSIS
dos2unix [ -ascii ] [ -iso ] [ -7 ] originalfile convertedfile

DESCRIPTION

dos2unix converts characters in the DOS extended character set to the corresponding ISO standard characters.

This command can be invoked from either DOS or SunOS. However, the filenames must conform to the conventions of the environment in which the command is invoked.

If the original file and the converted file are the same, dos2unix will rewrite the original file after converting it.

OPTIONS

-ascii
    Removes extra carriage returns and converts end of file characters in DOS format text files to conform to SunOS requirements.

-iso
    This is the default. It converts characters in the DOS extended character set to the corresponding ISO standard characters.

-7  Convert 8 bit DOS graphics characters to 7 bit space characters so that SunOS can read the file.

DIAGNOSTICS

File filename not found, or no read permission
    The input file you specified does not exist, or you do not have read permission (check with the SunOS ls -l command).

Bad output filename filename, or no write permission
    The output file you specified is either invalid, or you do not have write permission for that file or the directory that contains it. Check also that the drive or diskette is not write-protected.

Error while writing to temporary file
    An error occurred while converting your file, possibly because there is not enough space on the current drive. Check the amount of space on the current drive using the DIR command. Also be certain that the default diskette or drive is write-enabled (not write-protected). Note that when this error occurs, the original file remains intact.

Could not rename temporary file to filename.
Translated temporary file name = filename.
    The program could not perform the final step in converting your file. Your converted file is stored under the name indicated on the second line of this message.

SEE ALSO
dos(1), unix2dos(1)

Sun386i Advanced Skills
Sun MS-DOS Reference Manual